curl https://production.methodfi.com/webhooks/whk_cSGjA6d9N8y8R \
-X PATCH \
-H "Method-Version: 2025-07-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"status": "active"
}'
const webhook = await method.webhooks.update('whk_cSGjA6d9N8y8R',{
status: 'active'
});
webhook = method.webhooks.update('whk_cSGjA6d9N8y8R',{
'status': 'active'
})
{
"id": "whk_cSGjA6d9N8y8R",
"type": "payment.update",
"url": "https://reference.example.app/webhook",
"metadata": null,
"expand_event": false,
"status": "active",
"error": null,
"created_at": "2025-09-09T00:41:05.647Z",
"updated_at": "2025-09-09T00:41:05.647Z"
}
Webhooks
Update a Webhook status
PATCH
/
webhooks
/
{whk_id}
curl https://production.methodfi.com/webhooks/whk_cSGjA6d9N8y8R \
-X PATCH \
-H "Method-Version: 2025-07-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"status": "active"
}'
const webhook = await method.webhooks.update('whk_cSGjA6d9N8y8R',{
status: 'active'
});
webhook = method.webhooks.update('whk_cSGjA6d9N8y8R',{
'status': 'active'
})
{
"id": "whk_cSGjA6d9N8y8R",
"type": "payment.update",
"url": "https://reference.example.app/webhook",
"metadata": null,
"expand_event": false,
"status": "active",
"error": null,
"created_at": "2025-09-09T00:41:05.647Z",
"updated_at": "2025-09-09T00:41:05.647Z"
}
Updating a Webhook status can be used to manually disable a Webhook, or reactivate a Webhook that has been disabled.
Disabling a Webhook is a temporary action, allowing for it to be reactivated later, whereas Deleting a Webhook is a permanent action.
Path Parameters
Body
Returns
Returns the updated Webhook object.curl https://production.methodfi.com/webhooks/whk_cSGjA6d9N8y8R \
-X PATCH \
-H "Method-Version: 2025-07-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"status": "active"
}'
const webhook = await method.webhooks.update('whk_cSGjA6d9N8y8R',{
status: 'active'
});
webhook = method.webhooks.update('whk_cSGjA6d9N8y8R',{
'status': 'active'
})
{
"id": "whk_cSGjA6d9N8y8R",
"type": "payment.update",
"url": "https://reference.example.app/webhook",
"metadata": null,
"expand_event": false,
"status": "active",
"error": null,
"created_at": "2025-09-09T00:41:05.647Z",
"updated_at": "2025-09-09T00:41:05.647Z"
}